Bug 1299973 - jnlp.LaunchException: Fatal: Launch Error - NullPointerException at SecurityDesc.getUrlPermissions(SecurityDesc.java:415)
jnlp.LaunchException: Fatal: Launch Error - NullPointerException at SecurityD...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: icedtea-web (Show other bugs)
7.3
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: jiri vanek
Lukas Zachar
:
Depends On:
Blocks: 1203710 1297579 1313485 1299976
  Show dependency treegraph
 
Reported: 2016-01-19 11:04 EST by Deepu K S
Modified: 2016-11-04 00:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1299976 (view as bug list)
Environment:
Last Closed: 2016-11-04 00:39:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Icedtea Bugzilla 2489 None None None 2016-01-19 11:06 EST

  None (edit)
Description Deepu K S 2016-01-19 11:04:58 EST
Description of problem:
NullPointerException in icedtea-web 1.6.1 on RHEL 7

$ /usr/bin/javaws http://nextmidas.techma.com/nxm343/htdocs/localshell.jnlp
The application is a local file. Codebase validation is disabled. See: http://docs.oracle.com/javase/7/docs/technotes/guides/jweb/security/no_redeploy.html for details.
The application is a local file. Codebase validation is disabled. See: http://docs.oracle.com/javase/7/docs/technotes/guides/jweb/security/no_redeploy.html for details.
netx: Launch Error: Could not launch JNLP file. ()
net.sourceforge.jnlp.LaunchException: Fatal: Launch Error: Could not launch JNLP file. The application has not been initialized, for more information execute javaws/browser from the command line and send a bug report.
	at net.sourceforge.jnlp.Launcher.launchApplication(Launcher.java:580)
	at net.sourceforge.jnlp.Launcher$TgThread.run(Launcher.java:936)
Caused by: java.lang.NullPointerException
	at net.sourceforge.jnlp.SecurityDesc.getUrlPermissions(SecurityDesc.java:415)
	at net.sourceforge.jnlp.SecurityDesc.getSandBoxPermissions(SecurityDesc.java:382)
	at net.sourceforge.jnlp.SecurityDesc.getPermissions(SecurityDesc.java:325)
	at net.sourceforge.jnlp.runtime.ApplicationInstance.installEnvironment(ApplicationInstance.java:269)
	at net.sourceforge.jnlp.runtime.ApplicationInstance.initialize(ApplicationInstance.java:144)
	at net.sourceforge.jnlp.Launcher.launchApplication(Launcher.java:533)
	... 1 more


Version-Release number of selected component (if applicable):
Red Hat Enterprise Linux 7.2
icedtea-web-1.6.1-4.el7.x86_64

How reproducible:
Always

Steps to Reproduce:
1. javaws http://nextmidas.techma.com/nxm343/htdocs/localshell.jnlp


Actual results:
netx: Launch Error: Could not launch JNLP file. ()
net.sourceforge.jnlp.LaunchException: Fatal: Launch Error: Could not launch JNLP file. The application has not been initialized, for more information execute javaws/browser from the command line and send a bug report.
	at net.sourceforge.jnlp.Launcher.launchApplication(Launcher.java:580)
	at net.sourceforge.jnlp.Launcher$TgThread.run(Launcher.java:936)
Caused by: java.lang.NullPointerException
	at net.sourceforge.jnlp.SecurityDesc.getUrlPermissions(SecurityDesc.java:415)
	at net.sourceforge.jnlp.SecurityDesc.getSandBoxPermissions(SecurityDesc.java:382)
	at net.sourceforge.jnlp.SecurityDesc.getPermissions(SecurityDesc.java:325)
	at net.sourceforge.jnlp.runtime.ApplicationInstance.installEnvironment(ApplicationInstance.java:269)
	at net.sourceforge.jnlp.runtime.ApplicationInstance.initialize(ApplicationInstance.java:144)
	at net.sourceforge.jnlp.Launcher.launchApplication(Launcher.java:533)
	... 1 more


Expected results:
Application should launch without errors.

Additional info:
Upstream BugZilla is here :
http://icedtea.classpath.org/bugzilla/show_bug.cgi?id=2489

Issue is also reproducible on RHEL 6 with icedtea-web-1.5.1-1.el6.x86_64
Comment 2 jiri vanek 2016-01-19 11:27:46 EST
I was fixing this bugzilla in coopoeration with customer, and as 1.6.2 will be released soon, I'm strongly for updating rhels to this bugs-fixing release
http://icedtea.classpath.org/bugzilla/show_bug.cgi?id=2489
Comment 3 jiri vanek 2016-02-03 11:59:56 EST
Icedtea web 1.6.2 was released today and was pushed to fedora.

IS trongly advice to update rhel 7.2.z to 1.6.2. The bugfixes contained in 1.6.1 are quite important and complex. , and backport of individual one of them is not possible.

http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2016-February/034831.html

Deepu, may you pelase elaborate on PM ack?
Comment 5 jiri vanek 2016-02-27 07:28:33 EST
Can we go with 7.2 now?
Comment 6 jiri vanek 2016-02-27 10:22:47 EST
Pushed and build... Wed Feb 03 2016
Comment 9 jiri vanek 2016-05-10 05:00:59 EDT
This bug is now scheduled for 7.3, Deepu K S' whats the plan with 7.2.z on this topic?
Comment 13 errata-xmlrpc 2016-11-04 00:39:36 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2362.html

Note You need to log in before you can comment on or make changes to this bug.